Package org.eclipse.birt.chart.model

# Interface ModelPackage.Literals

Enclosing interface:
  `ModelPackage`

public static interface ModelPackage.Literals
Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

## Field Summary

Fields
Modifier and Type
Field
Description
`static final org.eclipse.emf.ecore.EClass`
`CHART`
The meta object literal for the '`Chart`' class.
`static final org.eclipse.emf.ecore.EReference`
`CHART__BLOCK`
The meta object literal for the 'Block' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`CHART__DESCRIPTION`
The meta object literal for the 'Description' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`CHART__DIMENSION`
The meta object literal for the 'Dimension' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`CHART__EMPTY_MESSAGE`
The meta object literal for the 'Empty Message' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`CHART__EXTENDED_PROPERTIES`
The meta object literal for the 'Extended Properties' containment reference list feature.
`static final org.eclipse.emf.ecore.EAttribute`
`CHART__GRID_COLUMN_COUNT`
The meta object literal for the 'Grid Column Count' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`CHART__INTERACTIVITY`
The meta object literal for the 'Interactivity' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`CHART__SAMPLE_DATA`
The meta object literal for the 'Sample Data' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`CHART__SCRIPT`
The meta object literal for the 'Script' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`CHART__SERIES_THICKNESS`
The meta object literal for the 'Series Thickness' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`CHART__STYLES`
The meta object literal for the 'Styles' containment reference list feature.
`static final org.eclipse.emf.ecore.EAttribute`
`CHART__SUB_TYPE`
The meta object literal for the 'Sub Type' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`CHART__TYPE`
The meta object literal for the 'Type' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`CHART__UNITS`
The meta object literal for the 'Units' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`CHART__VERSION`
The meta object literal for the 'Version' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`CHART_WITH_AXES`
The meta object literal for the '`Chart With Axes`' class.
`static final org.eclipse.emf.ecore.EReference`
`CHART_WITH_AXES__AXES`
The meta object literal for the 'Axes' containment reference list feature.
`static final org.eclipse.emf.ecore.EReference`
`CHART_WITH_AXES__FLOOR_FILL`
The meta object literal for the 'Floor Fill' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`CHART_WITH_AXES__ORIENTATION`
The meta object literal for the 'Orientation' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`CHART_WITH_AXES__REVERSE_CATEGORY`
The meta object literal for the 'Reverse Category' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`CHART_WITH_AXES__ROTATION`
The meta object literal for the 'Rotation' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`CHART_WITH_AXES__STUDY_LAYOUT`
The meta object literal for the 'Study Layout' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`CHART_WITH_AXES__UNIT_SPACING`
The meta object literal for the 'Unit Spacing' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`CHART_WITH_AXES__WALL_FILL`
The meta object literal for the 'Wall Fill' containment reference feature.
`static final org.eclipse.emf.ecore.EClass`
`CHART_WITHOUT_AXES`
The meta object literal for the '`Chart Without Axes`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`CHART_WITHOUT_AXES__COVERAGE`
The meta object literal for the 'Coverage' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`CHART_WITHOUT_AXES__MIN_SLICE`
The meta object literal for the 'Min Slice' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`CHART_WITHOUT_AXES__MIN_SLICE_LABEL`
The meta object literal for the 'Min Slice Label' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`CHART_WITHOUT_AXES__MIN_SLICE_PERCENT`
The meta object literal for the 'Min Slice Percent' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`CHART_WITHOUT_AXES__SERIES_DEFINITIONS`
The meta object literal for the 'Series Definitions' containment reference list feature.
`static final org.eclipse.emf.ecore.EDataType`
`COVERAGE_TYPE`
The meta object literal for the 'Coverage Type' data type.
`static final org.eclipse.emf.ecore.EDataType`
`COVERAGE_TYPE_OBJECT`
The meta object literal for the 'Coverage Type Object' data type.
`static final org.eclipse.emf.ecore.EClass`
`DIAL_CHART`
The meta object literal for the '`Dial Chart`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`DIAL_CHART__DIAL_SUPERIMPOSITION`
The meta object literal for the 'Dial Superimposition' attribute feature.

## Field Details

### CHART

static final org.eclipse.emf.ecore.EClass CHART
The meta object literal for the '`Chart`' class.

See Also:
  - `ChartImpl`
  - `ModelPackageImpl.getChart()`

### CHART__VERSION

static final org.eclipse.emf.ecore.EAttribute CHART__VERSION
The meta object literal for the 'Version' attribute feature.

### CHART__TYPE

static final org.eclipse.emf.ecore.EAttribute CHART__TYPE
The meta object literal for the 'Type' attribute feature.

### CHART__SUB_TYPE

static final org.eclipse.emf.ecore.EAttribute CHART__SUB_TYPE
The meta object literal for the 'Sub Type' attribute feature.

### CHART__DESCRIPTION

static final org.eclipse.emf.ecore.EReference CHART__DESCRIPTION
The meta object literal for the 'Description' containment reference feature.

### CHART__BLOCK

static final org.eclipse.emf.ecore.EReference CHART__BLOCK
The meta object literal for the 'Block' containment reference feature.

### CHART__DIMENSION

static final org.eclipse.emf.ecore.EAttribute CHART__DIMENSION
The meta object literal for the 'Dimension' attribute feature.

### CHART__SCRIPT

static final org.eclipse.emf.ecore.EAttribute CHART__SCRIPT
The meta object literal for the 'Script' attribute feature.

### CHART__UNITS

static final org.eclipse.emf.ecore.EAttribute CHART__UNITS
The meta object literal for the 'Units' attribute feature.

### CHART__SERIES_THICKNESS

static final org.eclipse.emf.ecore.EAttribute CHART__SERIES_THICKNESS
The meta object literal for the 'Series Thickness' attribute feature.

### CHART__GRID_COLUMN_COUNT

static final org.eclipse.emf.ecore.EAttribute CHART__GRID_COLUMN_COUNT
The meta object literal for the 'Grid Column Count' attribute feature.

### CHART__EXTENDED_PROPERTIES

static final org.eclipse.emf.ecore.EReference CHART__EXTENDED_PROPERTIES
The meta object literal for the 'Extended Properties' containment reference list feature.

### CHART__SAMPLE_DATA

static final org.eclipse.emf.ecore.EReference CHART__SAMPLE_DATA
The meta object literal for the 'Sample Data' containment reference feature.

### CHART__STYLES

static final org.eclipse.emf.ecore.EReference CHART__STYLES
The meta object literal for the 'Styles' containment reference list feature.

### CHART__INTERACTIVITY

static final org.eclipse.emf.ecore.EReference CHART__INTERACTIVITY
The meta object literal for the 'Interactivity' containment reference feature.

### CHART__EMPTY_MESSAGE

static final org.eclipse.emf.ecore.EReference CHART__EMPTY_MESSAGE
The meta object literal for the 'Empty Message' containment reference feature.

### CHART_WITH_AXES

static final org.eclipse.emf.ecore.EClass CHART_WITH_AXES
The meta object literal for the '`Chart With Axes`' class.

See Also:
  - `ChartWithAxesImpl`
  - `ModelPackageImpl.getChartWithAxes()`

### CHART_WITH_AXES__AXES

static final org.eclipse.emf.ecore.EReference CHART_WITH_AXES__AXES
The meta object literal for the 'Axes' containment reference list feature.

### CHART_WITH_AXES__WALL_FILL

static final org.eclipse.emf.ecore.EReference CHART_WITH_AXES__WALL_FILL
The meta object literal for the 'Wall Fill' containment reference feature.

### CHART_WITH_AXES__FLOOR_FILL

static final org.eclipse.emf.ecore.EReference CHART_WITH_AXES__FLOOR_FILL
The meta object literal for the 'Floor Fill' containment reference feature.

### CHART_WITH_AXES__ORIENTATION

static final org.eclipse.emf.ecore.EAttribute CHART_WITH_AXES__ORIENTATION
The meta object literal for the 'Orientation' attribute feature.

### CHART_WITH_AXES__UNIT_SPACING

static final org.eclipse.emf.ecore.EAttribute CHART_WITH_AXES__UNIT_SPACING
The meta object literal for the 'Unit Spacing' attribute feature.

### CHART_WITH_AXES__ROTATION

static final org.eclipse.emf.ecore.EReference CHART_WITH_AXES__ROTATION
The meta object literal for the 'Rotation' containment reference feature.

### CHART_WITH_AXES__REVERSE_CATEGORY

static final org.eclipse.emf.ecore.EAttribute CHART_WITH_AXES__REVERSE_CATEGORY
The meta object literal for the 'Reverse Category' attribute feature.

### CHART_WITH_AXES__STUDY_LAYOUT

static final org.eclipse.emf.ecore.EAttribute CHART_WITH_AXES__STUDY_LAYOUT
The meta object literal for the 'Study Layout' attribute feature.

### CHART_WITHOUT_AXES

static final org.eclipse.emf.ecore.EClass CHART_WITHOUT_AXES
The meta object literal for the '`Chart Without Axes`' class.

See Also:
  - `ChartWithoutAxesImpl`
  - `ModelPackageImpl.getChartWithoutAxes()`

### CHART_WITHOUT_AXES__SERIES_DEFINITIONS

static final org.eclipse.emf.ecore.EReference CHART_WITHOUT_AXES__SERIES_DEFINITIONS
The meta object literal for the 'Series Definitions' containment reference list feature.

### CHART_WITHOUT_AXES__MIN_SLICE

static final org.eclipse.emf.ecore.EAttribute CHART_WITHOUT_AXES__MIN_SLICE
The meta object literal for the 'Min Slice' attribute feature.

### CHART_WITHOUT_AXES__MIN_SLICE_PERCENT

static final org.eclipse.emf.ecore.EAttribute CHART_WITHOUT_AXES__MIN_SLICE_PERCENT
The meta object literal for the 'Min Slice Percent' attribute feature.

### CHART_WITHOUT_AXES__MIN_SLICE_LABEL

static final org.eclipse.emf.ecore.EAttribute CHART_WITHOUT_AXES__MIN_SLICE_LABEL
The meta object literal for the 'Min Slice Label' attribute feature.

### CHART_WITHOUT_AXES__COVERAGE

static final org.eclipse.emf.ecore.EAttribute CHART_WITHOUT_AXES__COVERAGE
The meta object literal for the 'Coverage' attribute feature.

### DIAL_CHART

static final org.eclipse.emf.ecore.EClass DIAL_CHART
The meta object literal for the '`Dial Chart`' class.

See Also:
  - `DialChartImpl`
  - `ModelPackageImpl.getDialChart()`

### DIAL_CHART__DIAL_SUPERIMPOSITION

static final org.eclipse.emf.ecore.EAttribute DIAL_CHART__DIAL_SUPERIMPOSITION
The meta object literal for the 'Dial Superimposition' attribute feature.

### COVERAGE_TYPE

static final org.eclipse.emf.ecore.EDataType COVERAGE_TYPE
The meta object literal for the 'Coverage Type' data type.

See Also:
  - `ModelPackageImpl.getCoverageType()`

### COVERAGE_TYPE_OBJECT

static final org.eclipse.emf.ecore.EDataType COVERAGE_TYPE_OBJECT
The meta object literal for the 'Coverage Type Object' data type.

See Also:
  - `Double`
  - `ModelPackageImpl.getCoverageTypeObject()`